Subject: Re: JGIT: discuss: diff/patch implementation

From: Robin Rosenberg <[email-masked]>
Date: Mon, 10 Nov 2008 16:56:35 +0100

måndag 10 november 2008 15:22:13 skrev Francis Galiegue:
> Hello,
> 
> A very nice git feature, without even going as far as merges, is the cherry 
> pick feature.
> 
> For this to be doable from within the Eclipse Git plugin, a diff/patch 
> implementation needs to be found, in a license compatible with the current 
> JGit license (3-clause BSD, as far as I can tell). Or a new implementation 
> can be rewritten from scratch, of course.
> 
> I found this:
> 
> http://code.google.com/p/google-diff-match-patch
> 
> Its license is the Apache 2.0 license. It implements the same algorithm than 
> git's internal diff engine ("An O(ND) Difference Algorithm and its 
> Variations", by Eugene Myers), and as far as I can tell so far (IANAL, far 
> from it), it is compatible with JGit's current license.
> 
> Could this be a viable candidate?

Our approach was to do just that, for the very reasons you mention. 
I'll have a look. Thanks for doing some research for us. That project was
unknown to me..

-- robin